package com.ztmap.project.zhny.lotusxnyxnqk.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ztmap.project.zhny.lotusxnyxnqk.mapper.TLotusXnyxnqkMapper;
import com.ztmap.project.zhny.lotusxnyxnqk.domain.TLotusXnyxnqk;
import com.ztmap.project.zhny.lotusxnyxnqk.service.ITLotusXnyxnqkService;
import com.ztmap.common.utils.text.Convert;

/**
 * 新能源消纳情况Service业务层处理
 * 
 * @author ztmap
 * @date 2023-11-16
 */
@Service
public class TLotusXnyxnqkServiceImpl implements ITLotusXnyxnqkService 
{
    @Autowired
    private TLotusXnyxnqkMapper tLotusXnyxnqkMapper;

    /**
     * 查询新能源消纳情况
     * 
     * @param id 新能源消纳情况ID
     * @return 新能源消纳情况
     */
    @Override
    public TLotusXnyxnqk selectTLotusXnyxnqkById(Long id)
    {
        return tLotusXnyxnqkMapper.selectTLotusXnyxnqkById(id);
    }

    /**
     * 查询新能源消纳情况列表
     * 
     * @param tLotusXnyxnqk 新能源消纳情况
     * @return 新能源消纳情况
     */
    @Override
    public List<TLotusXnyxnqk> selectTLotusXnyxnqkList(TLotusXnyxnqk tLotusXnyxnqk)
    {
        return tLotusXnyxnqkMapper.selectTLotusXnyxnqkList(tLotusXnyxnqk);
    }

    /**
     * 新增新能源消纳情况
     * 
     * @param tLotusXnyxnqk 新能源消纳情况
     * @return 结果
     */
    @Override
    public int insertTLotusXnyxnqk(TLotusXnyxnqk tLotusXnyxnqk)
    {
        return tLotusXnyxnqkMapper.insertTLotusXnyxnqk(tLotusXnyxnqk);
    }

    /**
     * 修改新能源消纳情况
     * 
     * @param tLotusXnyxnqk 新能源消纳情况
     * @return 结果
     */
    @Override
    public int updateTLotusXnyxnqk(TLotusXnyxnqk tLotusXnyxnqk)
    {
        return tLotusXnyxnqkMapper.updateTLotusXnyxnqk(tLotusXnyxnqk);
    }

    /**
     * 删除新能源消纳情况对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTLotusXnyxnqkByIds(String ids)
    {
        return tLotusXnyxnqkMapper.deleteTLotusXnyxnqkByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除新能源消纳情况信息
     * 
     * @param id 新能源消纳情况ID
     * @return 结果
     */
    @Override
    public int deleteTLotusXnyxnqkById(Long id)
    {
        return tLotusXnyxnqkMapper.deleteTLotusXnyxnqkById(id);
    }
}
